textures/icyworld/stratosphere
{
    qer_editorImage env/icyworld/stratosphere_ft.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nodamage
    q3map_globalTexture
    q3map_lightRGB 1.0 1.0 1.0
    q3map_surfacelight 115
    q3map_lightSubdivide 256
    surfaceparm sky
    q3map_sunExt 1.0 1.0 1.0 135 270 45 2 16
    skyParms env/icyworld/stratosphere - -
}

textures/icyworld/mirror
{
    qer_editorImage textures/icyworld/qer_mirror.tga
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    {
        map textures/_icyworld/mirror.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/_icyworld/q3a_sfx_mirror.jpg
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
}

textures/icyworld/tilenooby_sl
{
    qer_editorImage textures/icyworld/tilenooby.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilenooby.tga
        blendFunc filter
    }
}

textures/icyworld/tilenooby_icy
{
    q3map_lightImage textures/icyworld/tilenooby.tga
    qer_editorImage textures/icyworld/qer_tilenooby_icy.jpg
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilenooby.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tilenooby_hl
{
    qer_editorImage textures/icyworld/tilenooby.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilenooby.tga
        blendFunc filter
    }
}

textures/icyworld/tileuberleet_sl
{
    qer_editorImage textures/icyworld/tileuberleet.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileuberleet.tga
        blendFunc filter
    }
}

textures/icyworld/tileuberleet_icy
{
    q3map_lightImage textures/icyworld/tileuberleet.tga
    qer_editorImage textures/icyworld/qer_tileuberleet_icy.jpg
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileuberleet.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tileleet0_sl
{
    qer_editorImage textures/icyworld/tileleet0.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileleet0.tga
        blendFunc filter
    }
}

textures/icyworld/tileleet0_icy
{
    q3map_lightImage textures/icyworld/tileleet0.tga
    qer_editorImage textures/icyworld/qer_tileleet0_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileleet0.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tileleet1_sl
{
    qer_editorImage textures/icyworld/tileleet1.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileleet1.tga
        blendFunc filter
    }
}

textures/icyworld/tileleet1_icy
{
    q3map_lightImage textures/icyworld/tileleet1.tga
    qer_editorImage textures/icyworld/qer_tileleet1_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileleet1.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tileleet2_sl
{
    qer_editorImage textures/icyworld/tileleet2.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileleet2.tga
        blendFunc filter
    }
}

textures/icyworld/tileleet2_icy
{
    q3map_lightImage textures/icyworld/tileleet2.tga
    qer_editorImage textures/icyworld/qer_tileleet2_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileleet2.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tileblack
{
    q3map_lightImage textures/icyworld/tileblack.tga
    qer_editorImage textures/icyworld/qer_tileblack_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileblack.tga
        blendFunc filter
    }
}

textures/icyworld/tileblack_sl
{
    qer_editorImage textures/icyworld/tileblack.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileblack.tga
        blendFunc filter
    }
}

textures/icyworld/tileblack_icy
{
    q3map_lightImage textures/icyworld/tileblack.tga
    qer_editorImage textures/icyworld/qer_tileblack_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileblack.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tileblack_sl_lsty
{
    q3map_lightImage textures/icyworld/tileblack.tga
    qer_editorImage textures/icyworld/qer_tileblack_lsty.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    q3map_styleMarker
    {
        map textures/icyworld/tileblack.tga
        blendFunc filter
    }
}

textures/icyworld/tileblack_hl
{
    qer_editorImage textures/icyworld/tileblack.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileblack.tga
        blendFunc filter
    }
}

textures/icyworld/tileblack_med
{
    q3map_lightImage textures/icyworld/tileblack_med.tga
    qer_editorImage textures/icyworld/qer_tileblack_med_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileblack_med.tga
        blendFunc filter
    }
}

textures/icyworld/tileblack_med_l
{
    q3map_lightImage textures/icyworld/tileblack_med.tga
    qer_editorImage textures/icyworld/qer_tileblack_med_tr_l.jpg
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileblack_med.tga
        blendFunc filter
    }
}

textures/icyworld/tileblack_med_sl
{
    qer_editorImage textures/icyworld/tileblack_med.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileblack_med.tga
        blendFunc filter
    }
}

textures/icyworld/tileblack_med_sl_lsty
{
    q3map_lightImage textures/icyworld/tileblack_med.tga
    qer_editorImage textures/icyworld/qer_tileblack_med_lsty.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    q3map_styleMarker
    {
        map textures/icyworld/tileblack_med.tga
        blendFunc filter
    }
}

textures/icyworld/tileblack_sm
{
    q3map_lightImage textures/icyworld/tileblack_sm.tga
    qer_editorImage textures/icyworld/qer_tileblack_sm_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileblack_sm.tga
        blendFunc filter
    }
}

textures/icyworld/tileblack_sm_sl
{
    qer_editorImage textures/icyworld/tileblack_sm.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileblack_sm.tga
        blendFunc filter
    }
}

textures/icyworld/tileblack_sm_sl_lsty
{
    q3map_lightImage textures/icyworld/tileblack_sm.tga
    qer_editorImage textures/icyworld/qer_tileblack_sm_lsty.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    q3map_styleMarker
    {
        map textures/icyworld/tileblack_sm.tga
        blendFunc filter
    }
}

textures/icyworld/tilepeacock
{
    q3map_lightImage textures/icyworld/tilepeacock.tga
    qer_editorImage textures/icyworld/qer_tilepeacock_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilepeacock.tga
        blendFunc filter
    }
}

textures/icyworld/tilepeacock_sl
{
    qer_editorImage textures/icyworld/tilepeacock.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilepeacock.tga
        blendFunc filter
    }
}

textures/icyworld/tilepeacock_icy
{
    q3map_lightImage textures/icyworld/tilepeacock.tga
    qer_editorImage textures/icyworld/qer_tilepeacock_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilepeacock.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tilepeacock_hl
{
    qer_editorImage textures/icyworld/tilepeacock.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilepeacock.tga
        blendFunc filter
    }
}

textures/icyworld/tilebanana
{
    q3map_lightImage textures/icyworld/tilebanana.tga
    qer_editorImage textures/icyworld/qer_tilebanana_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilebanana.tga
        blendFunc filter
    }
}

textures/icyworld/tilebanana_sl
{
    qer_editorImage textures/icyworld/tilebanana.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilebanana.tga
        blendFunc filter
    }
}

textures/icyworld/tilebanana_icy
{
    q3map_lightImage textures/icyworld/tilebanana.tga
    qer_editorImage textures/icyworld/qer_tilebanana_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilebanana.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tilebanana_hl
{
    qer_editorImage textures/icyworld/tilebanana.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilebanana.tga
        blendFunc filter
    }
}

textures/icyworld/tilehoneydew
{
    q3map_lightImage textures/icyworld/tilehoneydew.tga
    qer_editorImage textures/icyworld/qer_tilehoneydew_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilehoneydew.tga
        blendFunc filter
    }
}

textures/icyworld/tilehoneydew_sl
{
    qer_editorImage textures/icyworld/tilehoneydew.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilehoneydew.tga
        blendFunc filter
    }
}

textures/icyworld/tilehoneydew_icy
{
    q3map_lightImage textures/icyworld/tilehoneydew.tga
    qer_editorImage textures/icyworld/qer_tilehoneydew_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilehoneydew.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tilehoneydew_hl
{
    qer_editorImage textures/icyworld/tilehoneydew.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilehoneydew.tga
        blendFunc filter
    }
}

textures/icyworld/tilecrimson
{
    q3map_lightImage textures/icyworld/tilecrimson.tga
    qer_editorImage textures/icyworld/qer_tilecrimson_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilecrimson.tga
        blendFunc filter
    }
}

textures/icyworld/tilecrimson_sl
{
    qer_editorImage textures/icyworld/tilecrimson.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilecrimson.tga
        blendFunc filter
    }
}

textures/icyworld/tilecrimson_icy
{
    q3map_lightImage textures/icyworld/tilecrimson.tga
    qer_editorImage textures/icyworld/qer_tilecrimson_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilecrimson.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tilecrimson_hl
{
    qer_editorImage textures/icyworld/tilecrimson.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilecrimson.tga
        blendFunc filter
    }
}

textures/icyworld/tilecrimson_hl_icy
{
    q3map_lightImage textures/icyworld/tilecrimson.tga
    qer_editorImage textures/icyworld/qer_tilecrimson_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilecrimson.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tilejungle
{
    q3map_lightImage textures/icyworld/tilejungle.tga
    qer_editorImage textures/icyworld/qer_tilejungle_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilejungle.tga
        blendFunc filter
    }
}

textures/icyworld/tilejungle_sl
{
    qer_editorImage textures/icyworld/tilejungle.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilejungle.tga
        blendFunc filter
    }
}

textures/icyworld/tilejungle_icy
{
    q3map_lightImage textures/icyworld/tilejungle.tga
    qer_editorImage textures/icyworld/qer_tilejungle_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilejungle.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tilejungle_hl
{
    qer_editorImage textures/icyworld/tilejungle.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilejungle.tga
        blendFunc filter
    }
}

textures/icyworld/tilecarrot
{
    q3map_lightImage textures/icyworld/tilecarrot.tga
    qer_editorImage textures/icyworld/qer_tilecarrot_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilecarrot.tga
        blendFunc filter
    }
}

textures/icyworld/tilecarrot_sl
{
    qer_editorImage textures/icyworld/tilecarrot.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilecarrot.tga
        blendFunc filter
    }
}

textures/icyworld/tilecarrot_icy
{
    q3map_lightImage textures/icyworld/tilecarrot.tga
    qer_editorImage textures/icyworld/qer_tilecarrot_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilecarrot.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tilecarrot_hl
{
    qer_editorImage textures/icyworld/tilecarrot.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilecarrot.tga
        blendFunc filter
    }
}

textures/icyworld/tilecobalt
{
    q3map_lightImage textures/icyworld/tilecobalt.tga
    qer_editorImage textures/icyworld/qer_tilecobalt_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilecobalt.tga
        blendFunc filter
    }
}

textures/icyworld/tilecobalt_sl
{
    qer_editorImage textures/icyworld/tilecobalt.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilecobalt.tga
        blendFunc filter
    }
}

textures/icyworld/tilecobalt_hl
{
    qer_editorImage textures/icyworld/tilecobalt.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilecobalt.tga
        blendFunc filter
    }
}

textures/icyworld/tilecobalt_hl_icy
{
    q3map_lightImage textures/icyworld/tilecobalt.tga
    qer_editorImage textures/icyworld/qer_tilecobalt_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilecobalt.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tilechocolate
{
    q3map_lightImage textures/icyworld/tilechocolate.tga
    qer_editorImage textures/icyworld/qer_tilechocolate_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilechocolate.tga
        blendFunc filter
    }
}

textures/icyworld/tilechocolate_sl
{
    qer_editorImage textures/icyworld/tilechocolate.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilechocolate.tga
        blendFunc filter
    }
}

textures/icyworld/tilechocolate_icy
{
    q3map_lightImage textures/icyworld/tilechocolate.tga
    qer_editorImage textures/icyworld/qer_tilechocolate_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilechocolate.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tilechocolate_hl
{
    qer_editorImage textures/icyworld/tilechocolate.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/tilechocolate.tga
        blendFunc filter
    }
}

textures/icyworld/tileorchid
{
    q3map_lightImage textures/icyworld/tileorchid.tga
    qer_editorImage textures/icyworld/qer_tileorchid_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileorchid.tga
        blendFunc filter
    }
}

textures/icyworld/tileorchid_sl
{
    qer_editorImage textures/icyworld/tileorchid.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileorchid.tga
        blendFunc filter
    }
}

textures/icyworld/tileorchid_icy
{
    q3map_lightImage textures/icyworld/tileorchid.tga
    qer_editorImage textures/icyworld/qer_tileorchid_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileorchid.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tileorchid_hl
{
    qer_editorImage textures/icyworld/tileorchid.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileorchid.tga
        blendFunc filter
    }
}

textures/icyworld/tileorchid_hl_icy
{
    q3map_lightImage textures/icyworld/tileorchid.tga
    qer_editorImage textures/icyworld/qer_tileorchid_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileorchid.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tileseashell
{
    q3map_lightImage textures/icyworld/tileseashell.tga
    qer_editorImage textures/icyworld/qer_tileseashell_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileseashell.tga
        blendFunc filter
    }
}

textures/icyworld/tileseashell_sl
{
    qer_editorImage textures/icyworld/tileseashell.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileseashell.tga
        blendFunc filter
    }
}

textures/icyworld/tileseashell_icy
{
    q3map_lightImage textures/icyworld/tileseashell.tga
    qer_editorImage textures/icyworld/qer_tileseashell_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileseashell.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tileviolet
{
    q3map_lightImage textures/icyworld/tileviolet.tga
    qer_editorImage textures/icyworld/qer_tileviolet_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileviolet.tga
        blendFunc filter
    }
}

textures/icyworld/tileviolet_sl
{
    qer_editorImage textures/icyworld/tileviolet.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileviolet.tga
        blendFunc filter
    }
}

textures/icyworld/tileviolet_icy
{
    q3map_lightImage textures/icyworld/tileviolet.tga
    qer_editorImage textures/icyworld/qer_tileviolet_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileviolet.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/tileviolet_hl
{
    qer_editorImage textures/icyworld/tileviolet.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileviolet.tga
        blendFunc filter
    }
}

textures/icyworld/tileviolet_hl_icy
{
    q3map_lightImage textures/icyworld/tileviolet.tga
    qer_editorImage textures/icyworld/qer_tileviolet_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/tileviolet.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/secret_tile1
{
    q3map_lightImage textures/icyworld/secret_tile1.tga
    qer_editorImage textures/icyworld/qer_secret_tile1_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/secret_tile1.tga
        blendFunc filter
    }
}

textures/icyworld/secret_tile1_sl
{
    qer_editorImage textures/icyworld/secret_tile1.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/secret_tile1.tga
        blendFunc filter
    }
}

textures/icyworld/secret_tile1_hl
{
    qer_editorImage textures/icyworld/secret_tile1.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/secret_tile1.tga
        blendFunc filter
    }
}

textures/icyworld/secret_tile1_hl_icy
{
    q3map_lightImage textures/icyworld/secret_tile1.tga
    qer_editorImage textures/icyworld/qer_secret_tile1_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/secret_tile1.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/secret_tile2
{
    q3map_lightImage textures/icyworld/secret_tile2.tga
    qer_editorImage textures/icyworld/qer_secret_tile2_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/secret_tile2.tga
        blendFunc filter
    }
}

textures/icyworld/secret_tile2_sl
{
    qer_editorImage textures/icyworld/secret_tile2.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/secret_tile2.tga
        blendFunc filter
    }
}

textures/icyworld/secret_tile2_icy
{
    q3map_lightImage textures/icyworld/secret_tile2.tga
    qer_editorImage textures/icyworld/qer_secret_tile2_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/secret_tile2.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/secret_tile3
{
    q3map_lightImage textures/icyworld/secret_tile3.tga
    qer_editorImage textures/icyworld/qer_secret_tile3_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/secret_tile3.tga
        blendFunc filter
    }
}

textures/icyworld/secret_tile3_sl
{
    qer_editorImage textures/icyworld/secret_tile3.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/secret_tile3.tga
        blendFunc filter
    }
}

textures/icyworld/secret_tile3_icy
{
    q3map_lightImage textures/icyworld/secret_tile3.tga
    qer_editorImage textures/icyworld/qer_secret_tile3_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/secret_tile3.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/secret_tile4
{
    q3map_lightImage textures/icyworld/secret_tile4.tga
    qer_editorImage textures/icyworld/qer_secret_tile4_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/secret_tile4.tga
        blendFunc filter
    }
}

textures/icyworld/secret_tile4_sl
{
    qer_editorImage textures/icyworld/secret_tile4.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/secret_tile4.tga
        blendFunc filter
    }
}

textures/icyworld/secret_tile4_icy
{
    q3map_lightImage textures/icyworld/secret_tile4.tga
    qer_editorImage textures/icyworld/qer_secret_tile4_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/secret_tile4.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/secret_tile4_hl
{
    qer_editorImage textures/icyworld/secret_tile4.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/secret_tile4.tga
        blendFunc filter
    }
}

textures/icyworld/secret_tile4_hl_icy
{
    q3map_lightImage textures/icyworld/secret_tile4.tga
    qer_editorImage textures/icyworld/qer_secret_tile4_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/secret_tile4.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/wood
{
    qer_editorImage textures/icyworld/wood.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/wood.jpg
        blendFunc filter
    }
}

textures/icyworld/wood_str
{
    q3map_lightImage textures/icyworld/wood.jpg    
    qer_editorImage textures/icyworld/qer_wood_str.jpg
    q3map_bounceScale 0.7
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/wood.jpg
        blendFunc filter
    }
}

textures/icyworld/wood_l
{
    q3map_lightImage textures/icyworld/wood.jpg
    qer_editorImage textures/icyworld/qer_wood_l.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    {
        map $lightmap
    }
    {
        map textures/icyworld/wood.jpg
        blendFunc filter
    }
}

textures/icyworld/ladder
{
    qer_editorImage textures/icyworld/ladder.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm ladder
    {
        map $lightmap
    }
    {
        map textures/icyworld/ladder.jpg
        blendFunc filter
    }
}

textures/icyworld/glass
{
    q3map_lightImage textures/_icyworld/glass_radiosity.tga
    qer_editorImage textures/icyworld/qer_clear.tga
    qer_trans 0.6
    q3map_bounceScale 0.33
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyworld/glass_tr
{
    q3map_lightImage textures/_icyworld/glass_radiosity.tga
    qer_editorImage textures/icyworld/qer_clear_tr.tga
    qer_trans 0.6
    q3map_bounceScale 0.33
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyworld/glass_hl
{
    q3map_lightImage textures/_icyworld/glass_radiosity.tga
    qer_editorImage textures/icyworld/qer_clear_hl.tga
    qer_trans 0.6
    q3map_bounceScale 0.33
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyworld/glass_trans
{
    q3map_lightImage textures/_icyworld/glass_radiosity.tga
    qer_editorImage textures/icyworld/qer_clear.tga
    qer_trans 0.2
    q3map_bounceScale 0.22
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyworld/glass_trans_l
{
    q3map_lightImage textures/_icyworld/glass_radiosity.tga
    qer_editorImage textures/icyworld/qer_clear_l.jpg
    qer_trans 0.2
    q3map_bounceScale 0.22
    surfaceparm slick
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyworld/glass_trans_tr
{
    q3map_lightImage textures/_icyworld/glass_radiosity.tga
    qer_editorImage textures/icyworld/qer_clear_tr.tga
    qer_trans 0.2
    q3map_bounceScale 0.22
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyworld/glass_trans_tr_l
{
    q3map_lightImage textures/_icyworld/glass_radiosity.tga
    qer_editorImage textures/icyworld/qer_clear_tr_l.jpg
    qer_trans 0.2
    q3map_bounceScale 0.22
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyworld/glass_cool
{
    q3map_lightImage textures/_icyworld/glass_radiosity.tga
    qer_editorImage textures/icyworld/qer_cool.tga
    qer_trans 0.6
    q3map_bounceScale 0.20
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.50 0.15 0.5 0.3
    }
    {
        map textures/_icyworld/blue_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.07 0.02 0 0.3
        tcMod rotate 5
        tcMod scroll 0.005 0.003
    }
}

textures/icyworld/elev_plat
{
    qer_editorImage textures/icyworld/qer_elev_plat.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyworld/elev_plat_tr
{
    qer_editorImage textures/icyworld/qer_elev_plat_tr.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyworld/glass_dark
{
    qer_editorImage textures/icyworld/qer_glass_dark.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    sort 7
    {
        map textures/_icyworld/urt41_chrome.tga
        rgbGen vertex
        blendFunc blend
        tcGen environment
    }
}

textures/icyworld/glass_dark_tr
{
    qer_editorImage textures/icyworld/qer_glass_dark_tr.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    sort 7
    {
        map textures/_icyworld/urt41_chrome.tga
        rgbGen vertex
        blendFunc blend
        tcGen environment
    }
}

textures/icyworld/glass_nil
{
    qer_editorImage textures/icyworld/glass_nil.tga
    q3map_bounceScale 0.0
    qer_trans 0.6
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/icyworld/glass_nil_tr
{
    qer_editorImage textures/icyworld/glass_nil_tr.tga
    q3map_bounceScale 0.0
    qer_trans 0.6
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/icyworld/red_glow
{
    qer_editorImage textures/icyworld/qer_red_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 120
    q3map_tessSize 64
    cull disable
    {
        map textures/_icyworld/red_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.75 0.25 0 1
    }
}

textures/icyworld/blue_glow
{
    qer_editorImage textures/icyworld/qer_blue_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 30
    q3map_tessSize 64
    cull disable
    {
        map textures/_icyworld/blue_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.45 0.15 0 1
        tcMod rotate 20
        tcMod scroll 0.025 0.015
    }
}

textures/icyworld/green_glow
{
    qer_editorImage textures/icyworld/qer_green_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 30
    q3map_tessSize 64
    cull disable
    {
        map textures/_icyworld/green_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.40 0.10 0 1
        tcMod rotate 20
        tcMod scroll 0.025 0.015
    }
}

textures/icyworld/orange_glow
{
    qer_editorImage textures/icyworld/qer_orange_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/orange_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.30 0.07 0 2
        tcMod rotate 20
        tcMod scroll 0.025 0.015
    }
}

textures/icyworld/magenta_glow
{
    qer_editorImage textures/icyworld/qer_magenta_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/magenta_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.85 0.15 0 3
    }
}

textures/icyworld/green_tile_glow
{
    qer_editorImage textures/icyworld/green_tile_glow.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    {
        map textures/icyworld/green_tile_glow.tga
        blendFunc add
        rgbGen wave sin 0.05 0.015 0 0.6
    }
}

textures/icyworld/green_tile_glow_sl
{
    qer_editorImage textures/icyworld/green_tile_glow.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm slick
    {
        map textures/icyworld/green_tile_glow.tga
        blendFunc add
        rgbGen wave sin 0.05 0.015 0 0.6
    }
}

textures/icyworld/green_tile_glow_med_sl
{
    qer_editorImage textures/icyworld/green_tile_glow_med.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm slick
    {
        map textures/icyworld/green_tile_glow_med.tga
        blendFunc add
        rgbGen wave sin 0.05 0.015 0 0.6
    }
}

textures/icyworld/tile_trans_color
{
    qer_editorImage textures/icyworld/tile_trans_color.tga
    qer_trans 0.9
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/icyworld/tile_trans_color.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyworld/tile_trans
{
    qer_editorImage textures/icyworld/tile_trans.tga
    qer_trans 0.9
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/icyworld/tile_trans.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyworld/white
{
    qer_editorImage textures/icyworld/qer_white_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/white.tga
        blendFunc filter
    }
}

textures/icyworld/white_sl
{
    qer_editorImage textures/icyworld/white.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/white.tga
        blendFunc filter
    }
}

textures/icyworld/white_icy
{
    q3map_lightImage textures/icyworld/white.tga
    qer_editorImage textures/icyworld/qer_white_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/white.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/white_hl
{
    qer_editorImage textures/icyworld/white.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/white.tga
        blendFunc filter
    }
}

textures/icyworld/white_hl_icy
{
    q3map_lightImage textures/icyworld/white.tga
    qer_editorImage textures/icyworld/qer_white_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/white.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/gray_sl
{
    qer_editorImage textures/icyworld/gray.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/gray.tga
        blendFunc filter
    }
}

textures/icyworld/gray_hl
{
    qer_editorImage textures/icyworld/gray.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/gray.tga
        blendFunc filter
    }
}

textures/icyworld/gray_hl_icy
{
    q3map_lightImage textures/icyworld/gray.tga
    qer_editorImage textures/icyworld/qer_gray_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/gray.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/gray_dk_sl
{
    qer_editorImage textures/icyworld/gray_dk.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/gray_dk.tga
        blendFunc filter
    }
}

textures/icyworld/gray_dk_icy
{
    q3map_lightImage textures/icyworld/gray_dk.tga
    qer_editorImage textures/icyworld/qer_gray_dk_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/gray_dk.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/red_sl
{
    qer_editorImage textures/icyworld/lightred.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/lightred.tga
        blendFunc filter
    }
}

textures/icyworld/red_icy
{
    q3map_lightImage textures/icyworld/lightred.tga
    qer_editorImage textures/icyworld/qer_lightred_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/lightred.tga
        blendFunc filter
    }
    {
        map textures/_icyworld/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyworld/portal
{
    qer_editorImage textures/icyworld/portal.tga
    qer_trans 0.7
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyworld/portal.tga
        tcMod scroll 0 1
    }
}

textures/icyworld/portal_trans
{
    qer_editorImage textures/icyworld/portal.tga
    qer_trans 0.4
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyworld/portal.tga
        blendFunc blend
        alphaGen const 0.55
        tcMod scroll 0 1
    }
}

textures/icyworld/light
{
    qer_editorImage textures/icyworld/light.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    {
        map textures/icyworld/light.tga
    }
}

textures/icyworld/light_lsty
{
    qer_editorImage textures/icyworld/light.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    {
        map textures/icyworld/light.tga
        rgbGen wave noise 0.5 1 0 5.37 // style 1
    }
    {
        map textures/icyworld/light.tga
        blendFunc add
        rgbGen const ( 0.05 0.05 0.05 )
    }
}

textures/icyworld/light_hl
{
    qer_editorImage textures/icyworld/light.tga
    q3map_bounceScale 0.0
    surfaceparm detail
    surfaceparm nonsolid
    surfaceparm trans
    polygonOffset
    {
        map textures/icyworld/light.tga
    }
}

textures/icyworld/icy_world
{
    qer_editorImage textures/icyworld/icy_world.tga
    polygonOffset
    {
        map textures/icyworld/icy_world.tga
        blendFunc blend
        rgbGen wave sin 0.75 0.25 0 0.4
        alphaGen const 1
    }
}

textures/icyworld/teh_end
{
    qer_editorImage textures/icyworld/teh_end.tga
    polygonOffset
    {
        map textures/icyworld/teh_end.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyworld/uber_leet_phinish
{
    qer_editorImage textures/icyworld/uber_leet_phinish.tga
    polygonOffset
    {
        map textures/icyworld/uber_leet_phinish.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyworld/dress_room
{
    qer_editorImage textures/icyworld/dress_room.tga
    polygonOffset
    {
        map textures/icyworld/dress_room.tga
        blendFunc blend
        rgbGen wave square 0.65 0.35 0 0.9
        alphaGen const 1
    }
}

textures/icyworld/nooby_detour
{
    qer_editorImage textures/icyworld/nooby_detour.tga
    polygonOffset
    {
        map textures/icyworld/nooby_detour.tga
        blendFunc blend
        rgbGen wave square 0.65 0.35 0 0.9
        alphaGen const 1
    }
}

textures/icyworld/nooby_drill
{
    qer_editorImage textures/icyworld/nooby_drill.tga
    polygonOffset
    {
        map textures/icyworld/nooby_drill.tga
        blendFunc blend
        rgbGen wave square 0.65 0.35 0 0.9
        alphaGen const 1
    }
}

textures/icyworld/noobs_this_way
{
    qer_editorImage textures/icyworld/noobs_this_way.tga
    polygonOffset
    {
        map textures/icyworld/noobs_this_way.tga
        blendFunc blend
        rgbGen wave square 0.65 0.35 0 0.9
        alphaGen const 1
    }
}

textures/icyworld/exit
{
    qer_editorImage textures/icyworld/exit.tga
    polygonOffset
    {
        map textures/icyworld/exit.tga
        blendFunc blend
        rgbGen wave square 0.65 0.35 0 1.7
        alphaGen const 1
    }
}

textures/icyworld/nooby_leet
{
    qer_editorImage textures/icyworld/nooby_leet.tga
    polygonOffset
    {
        map textures/icyworld/nooby_leet.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyworld/good_job
{
    qer_editorImage textures/icyworld/good_job.tga
    polygonOffset
    {
        map textures/icyworld/good_job.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyworld/detour_phinish
{
    qer_editorImage textures/icyworld/detour_phinish.tga
    polygonOffset
    {
        map textures/icyworld/detour_phinish.tga
        blendFunc blend
        rgbGen wave square 0.65 0.35 0 0.9
        alphaGen const 1
    }
}

textures/icyworld/uber_leet
{
    qer_editorImage textures/icyworld/uber_leet.tga
    polygonOffset
    {
        map textures/icyworld/uber_leet.tga
        blendFunc blend
        rgbGen wave square 0.55 0.45 0 2.3
        alphaGen const 1
    }
}

textures/icyworld/leet_0
{
    qer_editorImage textures/icyworld/leet_0.tga
    polygonOffset
    {
        map textures/icyworld/leet_0.tga
        blendFunc blend
        rgbGen wave square 0.55 0.45 0 2.3
        alphaGen const 1
    }
}

textures/icyworld/leet_1
{
    qer_editorImage textures/icyworld/leet_1.tga
    polygonOffset
    {
        map textures/icyworld/leet_1.tga
        blendFunc blend
        rgbGen wave square 0.55 0.45 0 2.3
        alphaGen const 1
    }
}

textures/icyworld/leet_2
{
    qer_editorImage textures/icyworld/leet_2.tga
    polygonOffset
    {
        map textures/icyworld/leet_2.tga
        blendFunc blend
        rgbGen wave square 0.55 0.45 0 2.3
        alphaGen const 1
    }
}

textures/icyworld/looking_glass
{
    qer_editorImage textures/icyworld/qer_looking_glass.jpg
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    {
        map textures/_icyworld/looking_glass_clear.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/_icyworld/q3a_looking_glass_fog.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen portal 256
        rgbGen identityLighting
        tcMod rotate 20
        tcMod scroll 0.05 0.2
    }
}

textures/icyworld/black
{
    qer_editorImage textures/icyworld/black.tga
    surfaceparm nodamage
    {
        map textures/icyworld/black.tga
    }
}

textures/icyworld/black_sl
{
    qer_editorImage textures/icyworld/black.tga
    surfaceparm slick
    surfaceparm nodamage
    {
        map textures/icyworld/black.tga
    }
}

textures/icyworld/black_hl
{
    qer_editorImage textures/icyworld/black.tga
    qer_trans 0.5
    surfaceparm nonsolid
    {
        map textures/icyworld/black.tga
    }
}

textures/icyworld/depressed_button
{
    qer_editorImage textures/icyworld/lightorange.tga
    surfaceparm nodamage
    surfaceparm detail
    {
        map $lightmap
    }
    {
        map textures/_icyworld/orange.tga
        blendFunc filter
    }
    {
        map textures/icyworld/lightorange.tga
        blendFunc add
        rgbGen const ( 0.4 0.4 0.4 )
    }
}

textures/icyworld/please_wait
{
    qer_editorImage textures/icyworld/qer_please_wait.tga
    polygonOffset
    {
        map textures/_icyworld/please_wait.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyworld/nooby_heck
{
    qer_editorImage textures/icyworld/qer_nooby_heck.tga
    polygonOffset
    {
        map textures/_icyworld/nooby_heck.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyworld/samus_lift
{
    qer_editorImage textures/icyworld/qer_samus_lift.tga
    polygonOffset
    {
        map textures/_icyworld/samus_lift.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyworld/helpa_noob
{
    qer_editorImage textures/icyworld/qer_helpa_noob.tga
    polygonOffset
    {
        map textures/_icyworld/helpa_noob.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyworld/killa_noob
{
    qer_editorImage textures/icyworld/qer_killa_noob.tga
    polygonOffset
    {
        map textures/_icyworld/killa_noob.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyworld/leet_area
{
    qer_editorImage textures/icyworld/qer_leet_area.tga
    polygonOffset
    {
        map textures/_icyworld/leet_area.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyworld/open_leet1
{
    qer_editorImage textures/icyworld/qer_open_leet1.tga
    polygonOffset
    {
        map textures/_icyworld/open_leet1.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyworld/open_leet2
{
    qer_editorImage textures/icyworld/qer_open_leet2.tga
    polygonOffset
    {
        map textures/_icyworld/open_leet2.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyworld/open_uberleet
{
    qer_editorImage textures/icyworld/qer_open_uberleet.tga
    polygonOffset
    {
        map textures/_icyworld/open_uberleet.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyworld/flashing_button
{
    qer_editorImage textures/icyworld/lightred.tga
    surfaceparm nodamage
    surfaceparm detail
    {
        map $lightmap
    }
    {
        map textures/_icyworld/red.tga
        blendFunc filter
    }
    {
        map textures/icyworld/lightred.tga
        blendFunc add
        rgbGen wave square 0.20 0.20 0 2.3
    }
}

textures/icyworld/lava
{
    qer_editorImage textures/icyworld/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 375
    q3map_tessSize 96
    cull disable
    {
        map textures/_icyworld/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/_icyworld/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/icyworld/lavafog
{
    qer_editorImage textures/icyworld/qer_lavafog.tga
    qer_trans 0.50
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0.94 0.50 0.16 ) 150
}

textures/icyworld/lava_room_walls
{
    qer_editorImage textures/icyworld/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/lava_room_walls.jpg
        blendFunc filter
    }
}

textures/icyworld/lava_room_walls_hl
{
    qer_editorImage textures/icyworld/lava_room_walls.jpg
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/lava_room_walls.jpg
        blendFunc filter
    }
}

textures/icyworld/lava_room_walls_trans
{
    qer_editorImage textures/icyworld/lava_room_walls.jpg
    qer_trans 0.5
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    {
        map $lightmap
    }
    {
        map textures/icyworld/lava_room_walls.jpg
        blendFunc filter
    }
}

textures/icyworld/adobe_wall
{
    qer_editorImage textures/icyworld/adobe_wall.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/adobe_wall.jpg
        blendFunc filter
    }
}

textures/icyworld/got_leet
{
    qer_editorImage textures/icyworld/qer_got_leet.jpg
    qer_trans 0.5
    surfaceparm trans
    sort 10
    polygonOffset
    {
        map textures/_icyworld/got_leet.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyworld/got_noobsy
{
    qer_editorImage textures/icyworld/got_noobsy.tga
    polygonOffset
    {
        map textures/icyworld/got_noobsy.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyworld/dark_floor
{
    qer_editorImage textures/icyworld/dark_floor.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/dark_floor.jpg
        blendFunc filter
    }
}

textures/icyworld/dark_floor_lsty
{
    q3map_lightImage textures/icyworld/dark_floor.jpg
    qer_editorImage textures/icyworld/qer_dark_floor_lsty.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    q3map_styleMarker
    {
        map textures/icyworld/dark_floor.jpg
        blendFunc filter
    }
}

textures/icyworld/dark_floor_l
{
    q3map_lightImage textures/icyworld/dark_floor.jpg
    qer_editorImage textures/icyworld/qer_dark_floor_l.jpg
    {
        map $lightmap
    }
    {
        map textures/icyworld/dark_floor.jpg
        blendFunc filter
    }
}

textures/icyworld/dark_floor_l_lsty
{
    q3map_lightImage textures/icyworld/dark_floor.jpg
    qer_editorImage textures/icyworld/qer_dark_floor_l_lsty.jpg
    {
        map $lightmap
    }
    q3map_styleMarker
    {
        map textures/icyworld/dark_floor.jpg
        blendFunc filter
    }
}

textures/icyworld/cement_nil_l
{
    qer_editorImage textures/icyworld/cement_nil_l.tga
    q3map_bounceScale 0.0
    surfaceparm nolightmap
    {
    }
}

textures/icyworld/dark_floor_hl
{
    qer_editorImage textures/icyworld/dark_floor.jpg
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/dark_floor.jpg
        blendFunc filter
    }
}


textures/icyworld/dark_ceil
{
    qer_editorImage textures/icyworld/dark_ceil.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/dark_ceil.jpg
        blendFunc filter
    }
}

textures/icyworld/dark_ceil_lsty
{
    q3map_lightImage textures/icyworld/dark_ceil.jpg
    qer_editorImage textures/icyworld/qer_dark_ceil_lsty.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    q3map_styleMarker
    {
        map textures/icyworld/dark_ceil.jpg
        blendFunc filter
    }
}

textures/icyworld/dark_ceil_hl
{
    qer_editorImage textures/icyworld/dark_ceil.jpg
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyworld/dark_ceil.jpg
        blendFunc filter
    }
}

textures/icyworld/stone_ceil
{
    qer_editorImage textures/icyworld/stone_ceil.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/stone_ceil.jpg
        blendFunc filter
    }
}

textures/icyworld/samus
{
    qer_editorImage textures/icyworld/samus.tga
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    sort 10
    {
        map textures/icyworld/samus.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyworld/samus_mir
{
    qer_editorImage textures/icyworld/samus_mir.tga
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    sort 7
    {
        map textures/icyworld/samus_mir.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyworld/leet_tunnel
{
    qer_editorImage textures/icyworld/leet_tunnel.tga
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    sort 10
    {
        map textures/icyworld/leet_tunnel.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyworld/leet_tunnel_mir
{
    qer_editorImage textures/icyworld/leet_tunnel_mir.tga
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    sort 7
    {
        map textures/icyworld/leet_tunnel_mir.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyworld/riley
{
    qer_editorImage textures/icyworld/riley.tga
    polygonOffset
    {
        map textures/icyworld/riley.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyworld/walljump
{
    qer_editorImage textures/icyworld/walljump.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/walljump.tga
        blendFunc filter
    }
}

textures/icyworld/barrier
{
    qer_editorImage textures/icyworld/barrier.tga
    surfaceparm detail
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/barrier.tga
        blendFunc filter
    }
}

textures/icyworld/lum_faint
{
    qer_editorImage textures/icyworld/white.tga
    qer_trans 0.6
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 7
    q3map_tessSize 96
    q3map_lightImage textures/icyworld/white.tga
}

textures/icyworld/lum_none
{
    qer_editorImage textures/icyworld/white.tga
    qer_trans 0.2
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 0
    q3map_tessSize 96
    q3map_lightImage textures/icyworld/white.tga
}

textures/icyworld/bigchecker
{
    qer_editorImage textures/icyworld/qer_bigchecker_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyworld/bigchecker.tga
        blendFunc filter
    }
}

textures/icyworld/bigchecker_sl
{
    qer_editorImage textures/icyworld/bigchecker.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyworld/bigchecker.tga
        blendFunc filter
    }
}

textures/icyworld/warning
{
    qer_editorImage textures/icyworld/warning.tga
    q3map_bounceScale 0.0
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    {
        map textures/icyworld/warning.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyworld/thundercats
{
    qer_editorImage textures/icyworld/thundercats.tga
    polygonOffset
    {
        map textures/icyworld/thundercats.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 0.5
    }
    {
        map textures/icyworld/thundercats.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/icyworld/wtflogo
{
    qer_editorImage textures/icyworld/wtflogo.tga
    polygonOffset
    {
        map textures/icyworld/wtflogo.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/icyworld/wtflogo.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/icyworld/quake3
{
    qer_editorImage textures/icyworld/quake3.tga
    polygonOffset
    {
        map textures/icyworld/quake3.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/icyworld/quake3.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/icyworld/beastie
{
    qer_editorImage textures/icyworld/beastie.tga
    polygonOffset
    {
        map textures/icyworld/beastie.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 0.5
    }
    {
        map textures/icyworld/beastie.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/icyworld/precip_stopper
{
    qer_editorImage textures/icyworld/qer_precip_stopper.jpg
    qer_trans 0.3
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm noimpact
}
